//====================================
//Skies for Utopia
//====================================

//This shader was created as a workaround for lighting issues when having multiple sky shaders in a map.
//While it's not possible to have a sky shader X only affect part X of the map while sky shader Y only
//affects part Y of the map, it resolves the issues with overly exposured lightmaps due to multiple sky
//lights stacking up by only having one light-emitting sky shader in the entire map.


//====================================
//Modified sky shaders
//====================================

textures/gallery_skies/g_oasis_sky
{
	qer_editorimage textures/gallery_skies/ei/g_oasis_sky.jpg
//	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 0 5 // Amount Iterations
	q3map_sunExt 1 1 1 55 220 60 3 32 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 100 6 // Amount Iterations
	nocompress	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{
		fog off
		clampmap textures/skies_sd/siwa_mask.tga
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}


textures/gallery_skies/g_warbell_sky
{
	qer_editorimage textures/gallery_skies/ei/g_warbell_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/wb_t/wbsky/wb 256 -
	{	
		fog off
		map textures/skies_sd/wurzburg_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.01 0.015
		rgbGen identityLighting
	}
	{	
		fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.29 0.35 0.37 )
	}
}


textures/gallery_skies/g_pirates_sky
{
	qer_editorimage textures/gallery_skies/ei/g_pirates_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/pirates/env/pnight_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 )
	}
}


textures/gallery_skies/g_caen2_sky
{
	qer_editorimage textures/gallery_skies/ei/g_caen2_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	nocompress
	q3map_nofog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms - 200 -	
	{	
		fog off
		map textures/caen2/caen_sky.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
}


textures/gallery_skies/g_adlernest_sky
{
	qer_editorimage textures/gallery_skies/ei/g_adlernest_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	nocompress
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}


textures/gallery_skies/g_fueldump_sky
{
	qer_editorimage textures/gallery_skies/ei/g_fueldump_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/skies/fueldump_clouds.tga
		rgbGen identity
	}
	{
		map textures/skies/fueldump_clouds.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}
}


textures/gallery_skies/g_goldrush_sky
{
	qer_editorimage textures/gallery_skies/ei/g_goldrush_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	nocompress
	skyparms - 200 -
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}


textures/gallery_skies/g_radar_sky
{
	qer_editorimage textures/gallery_skies/ei/g_radar_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	nocompress
	q3map_nofog
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyparms - 512 -
	{
		map textures/skies_sd/wurzburg_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.003 -0.0015
		rgbGen identityLighting
	}
	{
		map textures/skies_sd/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
	{
		clampmap textures/skies_sd/wurzburg_fogmask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identitylighting
	}
}


textures/gallery_skies/g_battery_sky
{
	nocompress
	qer_editorimage textures/gallery_skies/ei/g_battery_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	q3map_nofog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 	{	
		fog off
		map textures/skies_sd/battery_clouds.tga
		tcMod scale 2.5 2.5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}
	{
		fog off
		clampmap textures/skies_sd/battery_mask_ydnar.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}


textures/gallery_skies/g_bremen_sky
{
	qer_editorimage textures/gallery_skies/ei/g_bremen_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/skies/fueldump_clouds.tga
		rgbGen identity
	}
	{
		map textures/skies/fueldump_clouds.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0.0005 0.00
		tcMod scale 2 1
	}
}


textures/gallery_skies/g_snatch3_sky
{
	qer_editorimage textures/gallery_skies/ei/g_snatch3_sky.jpg
	q3map_sunExt 1 1 1 0 200 45 3 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
	q3map_lightmapFilterRadius 0 8 // Self Other
	q3map_skylight 0 5 // Amount Iterations
//	q3map_sunExt 1 1 1 90 200 60 2 16 // Red Green Blue Intensity Degrees Elevation Deviance Samples
//	q3map_lightmapFilterRadius 0 8 // Self Other
//	q3map_skylight 80 5 // Amount Iterations
	q3map_nofog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	nocompress
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
	{
		map textures/snatch3/sky_4.tga
		tcMod scale 1 1
	}
}