//======================================
// Radar terrain
//======================================


textures/radar_terrain/radar_base
{
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	
	q3map_nonPlanar																	//Required for proper lightmapping
	q3map_shadeAngle 90																//Required for proper lightmapping
	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapaxis z
	
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod scale 2 2
	q3map_tcMod rotate 37
	
	q3map_noTJunc
	
	surfaceparm grasssteps
	surfaceparm landmine	
}

textures/radar_terrain/radar_foliage_base
{
	q3map_baseShader textures/radar_terrain/radar_base

	q3map_foliage models/foliage/grassfoliage1.md3 1.25 48 0.1 2
	q3map_foliage models/foliage/grassfoliage2.md3 1.1 48 0.1 2
	q3map_foliage models/foliage/grassfoliage3.md3 1 48 0.1 2
}

textures/radar_terrain/radar_foliage_fade
{
	q3map_baseShader textures/radar_terrain/radar_base

	q3map_foliage models/foliage/grassfoliage1.md3 1.25 64 0.1 2
	q3map_foliage models/foliage/grassfoliage2.md3 1.1 64 0.1 2
	q3map_foliage models/foliage/grassfoliage3.md3 1 64 0.1 2
}

textures/radar_terrain/radar_0
{
	qer_editorImage textures/radar_terrain/radar_terrain_0
	q3map_baseshader textures/radar_terrain/radar_base

	{
		map textures/temperate_sd/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_1
{
	qer_editorImage textures/radar_terrain/radar_terrain_1
	q3map_baseshader textures/radar_terrain/radar_base							//Using default base shader to get rid of foliage
//	q3map_baseshader textures/radar_terrain/radar_foliage_base					//Original, uncomment this if you want foliage

	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_2
{
	qer_editorImage textures/radar_terrain/radar_terrain_2
	q3map_baseshader textures/radar_terrain/radar_base

	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_3
{
	qer_editorImage textures/radar_terrain/radar_terrain_3
	q3map_baseshader textures/radar_terrain/radar_base

	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_4
{
	qer_editorImage textures/radar_terrain/radar_terrain_4
	q3map_baseshader textures/radar_terrain/radar_base

	{
		map textures/temperate_sd/dirt3.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_0to1
{
	qer_editorImage textures/radar_terrain/radar_terrain_0to1
	q3map_baseshader textures/radar_terrain/radar_base							//Using default base shader to get rid of foliage
//	q3map_baseshader textures/radar_terrain/radar_foliage_fade					//Original, uncomment this if you want foliage

	{
		map textures/temperate_sd/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/grass_path1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_0to2
{
	qer_editorImage textures/radar_terrain/radar_terrain_0to2
	q3map_baseshader textures/radar_terrain/radar_base

	{
		map textures/temperate_sd/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_0to3
{
	qer_editorImage textures/radar_terrain/radar_terrain_0to3
	q3map_baseshader textures/radar_terrain/radar_base
	
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_0to4
{
	qer_editorImage textures/radar_terrain/radar_terrain_0to4
	q3map_baseshader textures/radar_terrain/radar_base
	
	{
		map textures/temperate_sd/master_grass_dirt3.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_1to2
{
	qer_editorImage textures/radar_terrain/radar_terrain_1to2
	q3map_baseshader textures/radar_terrain/radar_base							//Using default base shader to get rid of foliage
//	q3map_baseshader textures/radar_terrain/radar_foliage_base					//Original, uncomment this if you want foliage
	
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/grass_dense1.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_1to3
{
	qer_editorImage textures/radar_terrain/radar_terrain_1to3
	q3map_baseshader textures/radar_terrain/radar_base							//Using default base shader to get rid of foliage
//	q3map_baseshader textures/radar_terrain/radar_foliage_base					//Original, uncomment this if you want foliage
	
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_1to4
{
	qer_editorImage textures/radar_terrain/radar_terrain_1to4
	q3map_baseshader textures/radar_terrain/radar_base							//Using default base shader to get rid of foliage
//	q3map_baseshader textures/radar_terrain/radar_foliage_base					//Original, uncomment this if you want foliage
	
	{
		map textures/temperate_sd/grass_path1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_2to3
{
	qer_editorImage textures/radar_terrain/radar_terrain_2to3
	q3map_baseshader textures/radar_terrain/radar_base
	
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_2to4
{
	qer_editorImage textures/radar_terrain/radar_terrain_2to4
	q3map_baseshader textures/radar_terrain/radar_base
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/radar_terrain/radar_3to4
{
	qer_editorImage textures/radar_terrain/radar_terrain_3to4
	q3map_baseshader textures/radar_terrain/radar_base
	
	{
		map textures/temperate_sd/rock_ugly_brown.tga
		rgbgen identity
	}
	{
		map textures/temperate_sd/dirt3.tga
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}